> For the complete documentation index, see [llms.txt](https://docs.fidentity.ch/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fidentity.ch/use-cases/simpleident/process-steps.md).

# Process steps

### Types <a href="#what-is-the-attribute-key-used-for-in-a-process-step" id="what-is-the-attribute-key-used-for-in-a-process-step"></a>

<table><thead><tr><th width="225">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>Selfie</strong></td><td>Liveness detection in three steps to verify the user's identity.</td></tr><tr><td><strong>DocumentRegistration</strong></td><td>Scanning of configured identification documents for identity verification.</td></tr><tr><td><strong>AgentReview</strong></td><td>Applicable only upon prior agreement. Routes processes with a low score to manual agent review.</td></tr><tr><td><strong>UserReview</strong></td><td>Users are presented with extracted names for correction. Must be combined with "DocumentRegistration."</td></tr><tr><td><strong>QesSignature</strong></td><td>For qualified electronic signatures (QES). Only available for configured tenants.</td></tr><tr><td><strong>Signature</strong></td><td>For advanced electronic signatures (AES).</td></tr><tr><td><strong>Welcome</strong></td><td>Displays an introduction screen with general identification tips.</td></tr><tr><td><strong>PdfScan</strong></td><td>Allows users to take a photo, which is then provided as a PDF.</td></tr><tr><td><strong>PersonalData</strong></td><td>Only available upon prior agreement and configuration. Enables custom user forms.</td></tr><tr><td><strong>HandwrittenSignature</strong></td><td>To be used in combination with QES. Allows the user to draw a signature, which is provided as an image.</td></tr><tr><td><strong>Info</strong></td><td>Reserved for change requests and applicable only upon agreement with fidentity.</td></tr></tbody></table>

### Subtypes <a href="#what-is-the-attribute-key-used-for-in-a-process-step" id="what-is-the-attribute-key-used-for-in-a-process-step"></a>

<table><thead><tr><th width="223">Subtype</th><th>Description</th></tr></thead><tbody><tr><td><strong>main</strong></td><td>Default subtype. Can be used with all process steps.</td></tr><tr><td><strong>nfc</strong></td><td>Prompts the user to read the NFC chip from their identification document. Only passports are accepted. This subtype must only be used with "DocumentRegistration."</td></tr><tr><td><strong>zoom</strong></td><td>Only available upon prior agreement and as a change request.</td></tr><tr><td><strong>readonly</strong></td><td>Only available upon prior agreement and as a change request.</td></tr><tr><td><strong>api</strong></td><td>Only available upon prior agreement and as a change request.</td></tr><tr><td><strong>identOnly</strong></td><td><p>Must only be used with the type "QesSignature." Triggers a QES identification.</p><p></p></td></tr><tr><td><strong>signOnly</strong></td><td>Must only be used with the type "QesSignature." Triggers the signature process for the associated identification process.</td></tr><tr><td><strong>singleRun</strong></td><td>Must only be used with the type "QesSignature." Triggers a temporary QES identification without WebAuthn.</td></tr></tbody></table>

### &#x20;<a href="#what-is-the-attribute-key-used-for-in-a-process-step" id="what-is-the-attribute-key-used-for-in-a-process-step"></a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fidentity.ch/use-cases/simpleident/process-steps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
